Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xml.xsql
Class XSQLNamedConnection

`java.lang.Object
oracle.xml.xsql.XSQLNamedConnection`

      public final class XSQLNamedConnection

extends java.lang.Object

Method Summary
`java.lang.Boolean` `getAutoCommit()`
`java.lang.String` `getDburl()`
`java.lang.String` `getDriver()`
`java.lang.String` `getPassword()`
`java.lang.String` `getUsername()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDriver

    public java.lang.String getDriver()

### getDburl

    public java.lang.String getDburl()

### getUsername

    public java.lang.String getUsername()

### getPassword

    public java.lang.String getPassword()

### getAutoCommit

    public java.lang.Boolean getAutoCommit()

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.